package com.casic.PgInterface.overtimeInPG.dto;

import com.casic.PgInterface.overtimeInPG.domain.PGTagPosition;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class PGTagPositionDto {
    public String TagMac;
    public String TagName;
    public String HostId;
    public String HostName;
    public String TagId;
    public String CoordinatesId;
    public String CoordinatesName;
    public String X;
    public String Y;

    public String getHostName() {
        return HostName;
    }

    public void setHostName(String hostName) {
        HostName = hostName;
    }

    public String getTagId() {
        return TagId;
    }

    public void setTagId(String tagId) {
        TagId = tagId;
    }

    public String getCoordinatesId() {
        return CoordinatesId;
    }

    public void setCoordinatesId(String coordinatesId) {
        CoordinatesId = coordinatesId;
    }

    public String getCoordinatesName() {
        return CoordinatesName;
    }

    public void setCoordinatesName(String coordinatesName) {
        CoordinatesName = coordinatesName;
    }

    public String getX() {
        return X;
    }

    public void setX(String x) {
        X = x;
    }

    public String getY() {
        return Y;
    }

    public void setY(String y) {
        Y = y;
    }

    public String getPostionUpdateTime() {
        return postionUpdateTime;
    }

    public String postionUpdateTime;


/*
{"Success":true,"ErrorCode":0,"ErrorText":"","TagId":11003,"TagMac":"B0:8E:1A:50:54:88",
"TagName":"马桶监测505488","SerialNo":"","MapId":2,"CoordinatesName":"101洗漱间",
"CoordinatesId":38,"X":-88.7699966430664,"Y":-24.059999465942383,"IsLowBattery":false,
"IsAreaWarning":false,"IsDisappeared":true,"IsBeltBroken":false,"IsReset":false,
"IsStill2Move":false,"IsMove2Still":false,"IsButtonPress":true,"HostName":"马桶监测505488",
"HostId":96,"HostGroupIds":[1,9],"HostStatusId":0,"HostExternalId":"5488","HostExternalInfo":"",
"postionUpdateTime":"2019-05-22T11:09:31.9387103+08:00"}
 */
    public String getTagMac() {
    return TagMac;
}
    public void setTagMac(String tagMac) {
        TagMac = tagMac;
    }

    public String getTagName() {
        return TagName;
    }
//    @JsonProperty(value ="tagName")
    public void setTagName(String tagName) {
        TagName = tagName;
    }

    public String getHostId() {
        return HostId;
    }

    public void setHostId(String hostId) {
        HostId = hostId;
    }



    public void setPostionUpdateTime(String postionUpdateTime) {
        this.postionUpdateTime = postionUpdateTime;
    }
//
//    public PGTagPositionDto(PGTagPosition pgTagPosition)
//    {
//        this.setHostId(pgTagPosition.getHostId());
//        this.setTagMac(pgTagPosition.getTagMac());
//        this.setTagName(pgTagPosition.getTagName());
//    }


    @Override
    public String toString() {
        return "PGTagPositionDto{" +
                "TagMac='" + TagMac + '\'' +
                ", TagName='" + TagName + '\'' +
                ", HostId='" + HostId + '\'' +
                ", HostName='" + HostName + '\'' +
                ", TagId='" + TagId + '\'' +
                ", CoordinatesId='" + CoordinatesId + '\'' +
                ", CoordinatesName='" + CoordinatesName + '\'' +
                ", X='" + X + '\'' +
                ", Y='" + Y + '\'' +
                ", postionUpdateTime='" + postionUpdateTime + '\'' +
                '}';
    }
}
